function selectWord(en, fr) {
    switch (LANG) {
        case 'fr':
            return fr;
        default:
            return en;
    }
}

function newGame(father) {
    if (father.scene.getIndex('Game') !== -1) {
        father.scene.remove('Game');
    }
    father.scene.add('Game', new Game(father));
}

function chooseTarget(robot, list) {
    let minDist = WIDTH_MAP * 2;
    let l = [];
    list.forEach(function (item) {
        if (item !== robot) {
            let hypot = Math.hypot(item.x - robot.x, item.y - robot.y);
            if (minDist >= hypot) {
                if (minDist > hypot) {
                    minDist = hypot;
                    l = [];
                }
                l.push(item);
            }
        }
    });
    if (l.length > 1) {
        return l[Math.floor(Math.random() * (l.length + 1))];
    } else {
        return l[0];
    }
}