class CategoryBar {
    constructor(startValue = 1, valueMax = VALUE_MAX_BAR) {
        this.startValue = startValue;
        this.valueMax = valueMax;
        this.point = this.valueMax;
    }

    addPoint(point) {
        this.point += point;
        if (this.point < 0) {
            let send = this.point;
            this.point = 0;
            return send;
        }
        if (this.point > this.valueMax) {
            this.point = this.valueMax;
        }
        return 0;
    }

    setValueOf(bar, newValue) {
        let diff = newValue - bar.value;
        let oldValue = bar.value;
        if (this.point >= diff) {
            bar.setValue(newValue);
        } else {
            bar.setValue(bar.value + this.point);
        }
        this.addPoint(oldValue - bar.value);
    }
}